<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*************************************************************************************/
/*      Module Optimisation de Thelia                                    */
/*      Script : Zfquerycache.class.php                                               */
/*      Copyright (c) ZEOS-FRANCE                                                    */
/*      email : contact@zeos-france.fr                                               */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/


class ZfQueryCache {

	private $GLOBAL_ZF_QUERY_CACHE = array();
	private $debug=0;  //attention, ne jamais activer le debug sur un serveur de production !!!
	
	function ZfQueryCache(){
	}
	
	function doCache($cache){
		$this->GLOBAL_ZF_QUERY_CACHE = $cache;
		$strcache =  $this->dump($this->GLOBAL_ZF_QUERY_CACHE);
		$filename = realpath(dirname(__FILE__)) . "/zfquery.log";
		$content = date("d/m/Y H:i:s").";"."doCache;".$_SERVER['SCRIPT_FILENAME'] .";".$strcache;
		$this->LogFile($filename, $content);
	}
	
	function getCache(){
		$strcache =   $this->dump($this->GLOBAL_ZF_QUERY_CACHE);
		$filename = realpath(dirname(__FILE__)) . "/zfquery.log";
		$content = date("d/m/Y H:i:s").";"."getCache;".$_SERVER['SCRIPT_FILENAME'] .";".$strcache;
		$this->LogFile($filename, $content);
		return $this->GLOBAL_ZF_QUERY_CACHE;
	}	
		

	/*
	logfile : log des infos
	*/
	function LogFile($filename, $content) {
		$somecontent = $content."\n";
	
		if($this->debug) {
				   // Le pointeur de fichier est placa la fin du fichier
				   // c'est la que $somecontent sera plac
				   if (!$handle = fopen($filename, 'a')) {
				         echo "Impossible d'ouvrir le fichier ($filename)";
				         exit;
				   }
				
				   // Ecrivons quelque chose dans notre fichier.
				   if (fwrite($handle, $somecontent) === FALSE) {
				       echo "Impossible d'ecrire dans le fichier ($filename)";
				       exit;
				   }
			
				   fclose($handle);
		}	 
	                  
	} //end function


	/*
		dump d'objets/variables
	*/
	function dump($var){
		if($this->debug) {
				if(is_array($var)){
					$result = "";
					foreach ($var as $key => $value) {
						if(is_string($value)) {
							$result.=" $key=$value ";
						}
						
						if(is_object($value)) {
							ob_start();
							var_dump($value);
							$myvalue=ob_get_contents();
							ob_end_clean();
							$result.=" $key=$myvalue ";
						}
									
					}
					
				return $result;	
				}
			
				if(is_string($var)){
					$result = $var;
					return $result;	
				}
			
		} // debug
	
	} //end function
	
	
}
	
?>